Magma
=====

[![Build Status](https://travis-ci.org/darbylabs/magma.svg?branch=master)](https://travis-ci.org/darbylabs/magma)
[![Gem Version](https://badge.fury.io/rb/magma_cli.svg)](https://badge.fury.io/rb/magma_cli)


Melts static video templates to produce dynamic, templated videos using `melt`
and the [MLT Framework](http://mltframework.org/).

## Installation

1. Install [Ruby](https://www.ruby-lang.org) and [MLT](http://mltframework.org/)
2. Run `gem install magma_cli`
3. (Optional) Install the [LibreOffice extension](https://raw.githubusercontent.com/darbylabs/magma/master/dist/magma.oxt).
4. Run `magma [arguments]`

## Installation (Dockerized)

1. Run `make`
2. Run `bin/dmagma [arguments]` (or just run `docker run ...` manually)

## Usage

Run `magma help`.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run
`rake spec` to run the tests. You can also run `bin/console` for an interactive
prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To
release a new version, update the version number in `version.rb`, and then run
`bundle exec rake release`, which will create a git tag for the version, push
git commits and tags, and push the `.gem` file to
[rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub. This project is intended to
be a safe, welcoming space for collaboration, and contributors are expected to
adhere to the [Contributor Covenant](http://contributor-covenant.org) code of
conduct.

## License

The gem is available as open source under the terms of the [LGPL-2.1
License](https://opensource.org/licenses/LGPL-2.1).

## Code of Conduct

Everyone interacting in the `magma` project’s codebases, issue trackers, is
expected to follow the [code of conduct](.github/CODE_OF_CONDUCT.md).
